slepc-3.21.1 2024-04-26
Report Typos and Errors

# STCayleySetAntishift

Sets the value of the anti-shift for the Cayley spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STCayleySetAntishift(ST st,PetscScalar nu)

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| nu | - the anti-shift

### Options Database Key

| -st_cayley_antishift | - Sets the value of the anti-shift

### Note

In the generalized Cayley transform, the operator can be expressed as OP = inv(A - sigma B)*(A + nu B). This function sets the value of nu. Use STSetShift() for setting sigma. The value nu=-sigma is not allowed.

### See Also

STSetShift(), STCayleyGetAntishift()

### Level

intermediate

### Location

src/sys/classes/st/impls/cayley/cayley.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages